Skip to content

Add/Invite a new member to the organization

POST
/api/members
curl --request POST \
--url https://example.com/api/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "email": "[email protected]", "fullName": "Sarah Jenkins", "role": "org_admin", "partnerId": "20000000-0000-0000-0000-000000000002", "phone": "+17045550199", "appUrl": "https://app.dreamcenterconnect.com", "profiles": [ "intake_staff", "kiosk_operator" ] }'
Media typeapplication/json
object
email
required

Primary email address.

string
fullName
required

Full legal or preferred name of the individual.

string
Example
Sarah Jenkins
role
required

Assigned administrative user role (org_admin, partner_admin, staff).

string
Allowed values: org_admin partner_admin staff volunteer
partnerId

Unique identifier (UUID v4) for the assigned partner location facility.

string format: uuid
Example
20000000-0000-0000-0000-000000000002
phone

E.164 formatted contact phone number.

string
nullable
Example
+17045550199
appUrl

Base application callback URL.

string
Example
https://app.dreamcenterconnect.com
profiles

Assigned functional operational access profiles.

Array<string>
Allowed values: needs_processor intake_staff sms_communicator sms_manager email_phone_communicator pii_reader duplicate_resolver
Example
[
"intake_staff",
"kiosk_operator"
]

Member added successfully

Media typeapplication/json
object
id
required

Unique identifier (UUID v4) for the resource.

string format: uuid
email
required

Primary email address.

string
fullName

Full legal or preferred name of the individual.

string
role
required

Assigned administrative user role (org_admin, partner_admin, staff).

string
Allowed values: org_admin partner_admin staff volunteer
partnerId

Unique identifier (UUID v4) for the assigned partner location facility.

string format: uuid
partnerName

Display name of the assigned partner location facility.

string
profiles

Assigned functional operational access profiles.

Array<string>
Allowed values: needs_processor intake_staff sms_communicator sms_manager email_phone_communicator pii_reader duplicate_resolver
isConfirmed
required

Flag confirming whether user email address has been verified.

boolean
phone

E.164 formatted contact phone number.

string
nullable
smsOptedOut

Flag indicating whether user is currently opted out of SMS notifications.

boolean
nullable
Example
{
"id": "a1b2c3d4-e5f6-7890-abcd-1234567890ab",
"email": "[email protected]",
"fullName": "Sarah Jenkins",
"role": "org_admin",
"partnerId": "20000000-0000-0000-0000-000000000002",
"partnerName": "Community Food Pantry",
"profiles": [
"intake_staff",
"kiosk_operator"
],
"isConfirmed": true,
"phone": "+17045550199",
"smsOptedOut": false
}

Unauthorized

Forbidden